/**
 * IMPORTANT: Changes in this file MUST be synced between edge-react-gui and
 * edge-login-ui-rn!
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import Animated, { Easing, FadeIn, FadeInDown, FadeInLeft, FadeInRight, FadeInUp, FadeOut, FadeOutDown, FadeOutLeft, FadeOutRight, FadeOutUp, LinearTransition, StretchInY, StretchOutY } from 'react-native-reanimated';
export const DEFAULT_ANIMATION_DURATION_MS = 300;
export const LAYOUT_ANIMATION = LinearTransition.duration(DEFAULT_ANIMATION_DURATION_MS);
export const MAX_LIST_ITEMS_ANIM = 10;
// Commonly used enter/exit animations. Use these to prevent
// dynamically created objects as params that cause a re-render
export const fadeIn = { type: 'fadeIn' };
export const fadeInUp = { type: 'fadeInUp' };
export const fadeInUp20 = { type: 'fadeInUp', distance: 20 };
export const fadeInUp25 = { type: 'fadeInUp', distance: 25 };
export const fadeInUp30 = { type: 'fadeInUp', distance: 30 };
export const fadeInUp40 = { type: 'fadeInUp', distance: 40 };
export const fadeInUp50 = { type: 'fadeInUp', distance: 50 };
export const fadeInUp60 = { type: 'fadeInUp', distance: 60 };
export const fadeInUp80 = { type: 'fadeInUp', distance: 80 };
export const fadeInUp90 = { type: 'fadeInUp', distance: 90 };
export const fadeInUp110 = { type: 'fadeInUp', distance: 110 };
export const fadeInUp120 = { type: 'fadeInUp', distance: 120 };
export const fadeInUp140 = { type: 'fadeInUp', distance: 140 };
export const fadeInDown = { type: 'fadeInDown' };
export const fadeInDown10 = { type: 'fadeInDown', distance: 10 };
export const fadeInDown20 = { type: 'fadeInDown', distance: 20 };
export const fadeInDown30 = { type: 'fadeInDown', distance: 30 };
export const fadeInDown40 = { type: 'fadeInDown', distance: 40 };
export const fadeInDown50 = { type: 'fadeInDown', distance: 50 };
export const fadeInDown60 = { type: 'fadeInDown', distance: 60 };
export const fadeInDown75 = { type: 'fadeInDown', distance: 75 };
export const fadeInDown80 = { type: 'fadeInDown', distance: 80 };
export const fadeInDown90 = { type: 'fadeInDown', distance: 90 };
export const fadeInDown110 = { type: 'fadeInDown', distance: 110 };
export const fadeInDown120 = { type: 'fadeInDown', distance: 120 };
export const fadeInDown140 = { type: 'fadeInDown', distance: 140 };
export const fadeInLeft = { type: 'fadeInLeft' };
export const fadeOut = { type: 'fadeOut' };
const builderMap = {
    fadeIn: FadeIn,
    fadeInDown: FadeInDown,
    fadeInUp: FadeInUp,
    fadeInLeft: FadeInLeft,
    fadeInRight: FadeInRight,
    fadeOut: FadeOut,
    fadeOutDown: FadeOutDown,
    fadeOutUp: FadeOutUp,
    fadeOutLeft: FadeOutLeft,
    fadeOutRight: FadeOutRight,
    stretchInY: StretchInY,
    stretchOutY: StretchOutY
};
const getAnimBuilder = (anim) => {
    if (anim == null)
        return;
    const { type, delay = 0, duration = DEFAULT_ANIMATION_DURATION_MS, distance } = anim;
    const animBuilder = builderMap[type];
    let builder = animBuilder
        .delay(delay)
        .duration(duration)
        .easing(Easing.inOut(Easing.quad));
    // Allow initialValue distance for fadeIn transitions only as we
    // can only specify an initial value. fadeOut transitions would
    // need to specify a "final" value which we can't do
    if (distance != null && type.includes('In')) {
        // For fadeInLeft and fadeInUp, initialValues need to be negative
        const translateDistance = type.endsWith('Left') || type.endsWith('Up') ? -distance : distance;
        if (type.endsWith('Left') || type.endsWith('Right')) {
            builder = builder.withInitialValues({
                transform: [{ translateX: translateDistance }]
            });
        }
        else {
            builder = builder.withInitialValues({
                transform: [{ translateY: translateDistance }]
            });
        }
    }
    return builder;
};
const EdgeAnimInner = (_a) => {
    var { children, disableAnimation, enter, exit, visible = true } = _a, rest = __rest(_a, ["children", "disableAnimation", "enter", "exit", "visible"]);
    if (!visible)
        return null;
    const entering = getAnimBuilder(enter);
    const exiting = getAnimBuilder(exit);
    if (disableAnimation) {
        return React.createElement(Animated.View, Object.assign({}, rest), children);
    }
    return (React.createElement(Animated.View, Object.assign({ layout: LAYOUT_ANIMATION, entering: entering, exiting: exiting }, rest), children));
};
export const EdgeAnim = React.memo(EdgeAnimInner);
