var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import { Keyboard } from 'react-native';
import { FlatList } from 'react-native-gesture-handler';
import { useFilter } from '../../hooks/useFilter';
import { useTheme } from '../services/ThemeContext';
import { FilledTextInput } from '../themed/FilledTextInput';
import { ModalFooter, ModalMessage } from '../themed/ModalParts';
import { ModalUi4 } from '../ui4/ModalUi4';
export function ListModal(_a) {
    var { bridge, title, message, textInput = true, initialValue = '', rowsData = [], fullScreen = true, rowComponent, rowDataFilter, onSubmitEditing, onViewableItemsChanged, label: placeholder } = _a, textProps = __rest(_a, ["bridge", "title", "message", "textInput", "initialValue", "rowsData", "fullScreen", "rowComponent", "rowDataFilter", "onSubmitEditing", "onViewableItemsChanged", "label"]);
    const theme = useTheme();
    const [text, setText] = React.useState(initialValue);
    const [filteredRows, setFilteredRows] = useFilter(rowsData, rowDataFilter);
    const renderItem = ({ item }) => rowComponent ? rowComponent(item) : null;
    const handleCancel = () => bridge.resolve(undefined);
    const handleChangeText = (text) => {
        setText(text);
        setFilteredRows(text);
    };
    const handleSubmitEditing = () => onSubmitEditing != null ? onSubmitEditing(text) : bridge.resolve(text);
    const scrollPadding = React.useMemo(() => {
        return { paddingBottom: theme.rem(ModalFooter.bottomRem) };
    }, [theme]);
    return (React.createElement(ModalUi4, { title: title, bridge: bridge, onCancel: handleCancel },
        message == null ? null : React.createElement(ModalMessage, null, message),
        !textInput ? null : (React.createElement(FilledTextInput, Object.assign({ vertical: 1, horizontal: 0.5, 
            // Our props:
            searchIcon: true, blurOnClear: false, autoCorrect: false, autoCapitalize: "words", returnKeyType: "done", testID: title, onChangeText: handleChangeText, onSubmitEditing: handleSubmitEditing, value: text, placeholder: placeholder }, textProps))),
        React.createElement(FlatList, { contentContainerStyle: scrollPadding, data: filteredRows, 
            // estimatedItemSize={theme.rem(5)}
            keyboardShouldPersistTaps: "handled", keyExtractor: (_, i) => `${i}`, renderItem: renderItem, onScroll: () => Keyboard.dismiss(), onViewableItemsChanged: onViewableItemsChanged })));
}
