import * as React from 'react';
import { useClearOnUnmount } from '../../hooks/useClearOnUnmount';
import { Router } from '../navigation/Router';
import { ReduxStore } from '../services/ReduxStore';
import { asExperimentConfig } from './publicTypes';
export function ChangePinScreen(props) {
    const { account, context, onComplete, onLogEvent, onPerfEvent = () => { } } = props;
    useClearOnUnmount();
    return (React.createElement(ReduxStore, { imports: {
            accountOptions: {},
            context,
            onComplete,
            onLogEvent,
            onPerfEvent,
            experimentConfig: asExperimentConfig({})
        }, initialAction: {
            type: 'NAVIGATE',
            data: { name: 'changePin', params: { account } }
        } },
        React.createElement(Router, { branding: {} })));
}
