import * as React from 'react';
import { initializeChangeRecovery } from '../../actions/PasswordRecoveryActions';
import { useClearOnUnmount } from '../../hooks/useClearOnUnmount';
import { Router } from '../navigation/Router';
import { ReduxStore } from '../services/ReduxStore';
import { asExperimentConfig } from './publicTypes';
export function PasswordRecoveryScreen(props) {
    const { account, branding, context, onComplete, onLogEvent, onPerfEvent = () => { } } = props;
    useClearOnUnmount();
    return (React.createElement(ReduxStore, { imports: {
            accountOptions: {},
            context,
            onComplete,
            onLogEvent,
            onPerfEvent,
            experimentConfig: asExperimentConfig({})
        }, initialAction: initializeChangeRecovery(account) },
        React.createElement(Router, { branding: branding })));
}
