var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef, useEffect, useState } from 'react';
import { TextInput } from 'react-native';
import Animated from 'react-native-reanimated';
import { useHandler } from '../../hooks/useHandler';
import { formatNumberInput, formatToNativeNumber, isValidInput } from '../../locales/intl';
const AnimatedTextInput = Animated.createAnimatedComponent(TextInput);
export const NumericInput = forwardRef((props, ref) => {
    var _a;
    const { animated = false, onChangeText, minDecimals, maxDecimals, value } = props, rest = __rest(props, ["animated", "onChangeText", "minDecimals", "maxDecimals", "value"]);
    const [innerValue, setInnerValue] = useState((_a = props.value) !== null && _a !== void 0 ? _a : '');
    useEffect(() => {
        var _a;
        const propVal = (_a = props.value) !== null && _a !== void 0 ? _a : '';
        const displayNum = propVal === ''
            ? ''
            : formatNumberInput(propVal, { minDecimals, maxDecimals });
        setInnerValue(displayNum);
    }, [maxDecimals, minDecimals, props.value]);
    const handleChangeText = useHandler((text) => {
        if (isValidInput(text)) {
            const nativeNum = text === '' ? '' : formatToNativeNumber(text);
            const displayNum = text === ''
                ? ''
                : formatNumberInput(nativeNum, { minDecimals, maxDecimals });
            if (displayNum !== innerValue) {
                if (onChangeText != null)
                    onChangeText(nativeNum);
                setInnerValue(displayNum);
            }
        }
    });
    if (animated)
        return (React.createElement(AnimatedTextInput, Object.assign({ ref: ref, onChangeText: handleChangeText, keyboardType: "decimal-pad", value: innerValue }, rest)));
    return (React.createElement(TextInput, Object.assign({ ref: ref, onChangeText: handleChangeText, keyboardType: "decimal-pad", value: innerValue }, rest)));
});
