/**
 * IMPORTANT: Changes in this file MUST be synced between edge-react-gui and
 * edge-login-ui-rn!
 */
import { useMemo } from 'react';
import { useTheme } from '../components/services/ThemeContext';
export const useMarginRemStyle = (props) => {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const theme = useTheme();
    const { aroundRem, horizontalRem, verticalRem, topRem, bottomRem, leftRem, rightRem } = props;
    const topUnits = (_b = (_a = topRem !== null && topRem !== void 0 ? topRem : verticalRem) !== null && _a !== void 0 ? _a : aroundRem) !== null && _b !== void 0 ? _b : 0;
    const bottomUnits = (_d = (_c = bottomRem !== null && bottomRem !== void 0 ? bottomRem : verticalRem) !== null && _c !== void 0 ? _c : aroundRem) !== null && _d !== void 0 ? _d : 0;
    const leftUnits = (_f = (_e = leftRem !== null && leftRem !== void 0 ? leftRem : horizontalRem) !== null && _e !== void 0 ? _e : aroundRem) !== null && _f !== void 0 ? _f : 0;
    const rightUnits = (_h = (_g = rightRem !== null && rightRem !== void 0 ? rightRem : horizontalRem) !== null && _g !== void 0 ? _g : aroundRem) !== null && _h !== void 0 ? _h : 0;
    // Margins:
    const marginTop = theme.rem(topUnits);
    const marginBottom = theme.rem(bottomUnits);
    const marginLeft = theme.rem(leftUnits);
    const marginRight = theme.rem(rightUnits);
    const style = useMemo(() => ({
        marginTop,
        marginBottom,
        marginLeft,
        marginRight
    }), [marginBottom, marginLeft, marginRight, marginTop]);
    return style;
};
